/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 20/11/2024

Scrivi una funzione che, ricevuto un array come parametro, restituisce true se tutti i valori dell'array sono pari.
*/

#include <iostream>
#define DIM 5 // Definisco il numero dei valori all'interno dell'array
using namespace std;

bool numeriPari(int arr[]); // Prototipo della funzione

int main(void) {
	int arr[DIM];
	
	cout << "Inserisci " << DIM << " valori: " << endl;
	
	for (int i = 0; i < DIM; i++) {
		cout << "N" << i + 1 << " = ";
		cin >> arr[i];
	}
	
	numeriPari(arr);
	
	if(numeriPari(arr)) {
		cout << "Serie di numeri pari.";
		
	} else {
		cout << "Serie di numeri dispari.";
	}
	
	return 0;
}

// Definizione della funzione
// Conto i pari per poi confrontarli con il DIM
bool numeriPari(int arr[]) {
	int pari = 0;
	for (int i = 0; i < DIM; i++) {
		
		if (arr[i] % 2 == 0) { // Condizione per verificare se un numero è pari
			pari++;
		}
		
	}
	
	if (pari == DIM) {
		return true;
		
	} else {
		return false;
	}
	
}